﻿package {
	import flash.display.*;
	import flash.events.*;
	import flash.utils.getTimer;
	
	public class AAGun extends MovieClip {
		static const speed:Number = 150.0;
		private var lastTime:int; // animation time
		
		public function AAGun() {
			// initial location of gun
			this.x = 450;
			this.y = 650;
			
			// movement
			addEventListener(Event.ENTER_FRAME,moveGun);
		}

		public function moveGun(event:Event) {
			// get time difference
			var timePassed:int = getTimer()-lastTime;
			lastTime += timePassed;
			
			// current position
			var newx = this.x;
			
			// move to the left
			if (MovieClip(parent).leftArrow) {
				newx -= speed*timePassed/1000;
			}
			
			// move to the right
			if (MovieClip(parent).rightArrow) {
				newx += speed*timePassed/1000;
			}
			
			// check boundaries
			if (newx < 10) newx = 10;
			if (newx > 540) newx = 540;
			
			// reposition
			this.x = newx;
		}
		
		// remove from screen and remove events
		public function deleteGun() {
			parent.removeChild(this);
			removeEventListener(Event.ENTER_FRAME,moveGun);
		}
	}
}